Name: wbd
Summary: Whiteboard for MBONE applications
Version: 1.0ucl4
Release: 4
Group: Applications/Internet
Copyright: Distributable
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/wbd/
Source0: http://www-mice.cs.ucl.ac.uk/multimedia/software/wbd/%{version}/wbd-%{version}.tar.gz
Patch0: wbd-makefile-rh6x.patch
## Patch1 only needed for systems with tcl83..
Patch1: wbd-makefile-tcltk83.patch
Patch2: wbd-tmpnam.patch
BuildRoot: /var/tmp/%{name}-root
BuildPreReq: tcl tk
ExclusiveArch: i386

%description
WBD (WhiteBoarD) is a shared whiteboard compatible with the LBL whiteboard.  It can
be used in MBONE multicasting to e.g. share notes between people. 

%prep 
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin 
cp -p wbd $RPM_BUILD_ROOT%{_prefix}/bin 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme CHANGES
%{_prefix}/bin/wbd

%changelog
* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Tue Oct 31 2000 Tim Powers <timp@redhat.com>
- updated patch for tempnam from Pekka Savola

* Sun Oct 22 2000 Tim Powers <timp@redhat.com> 
- initial build for Powertools

* Mon Jun 26 2000 Pekka Savola <psavola@csc.fi>
- initial build for rh6x 
- rebuild with 'rpm --rebuild wbd*.src.rpm --define rh6x=1' or equivalent 
  if you're using tcl/tk 8.0 (RHL 6.x)
